package com.lukouguoji.gnj.adapt

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentManager
import androidx.lifecycle.Lifecycle
import androidx.viewpager2.adapter.FragmentStateAdapter


class GnjYiKuListSwitchAdapter(
    private val fragments: List<Fragment>, fragmentManager: FragmentManager, lifecycle: Lifecycle
) :
    FragmentStateAdapter(fragmentManager, lifecycle) {


    override fun getItemCount() = 2

    override fun createFragment(position: Int) = fragments[position];
}